Bug 119545 - kernel module binfmt_misc missing
kernel module binfmt_misc missing
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-31 06:33 EST by Toni Willberg
Modified: 2013-03-06 00:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-02 04:56:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toni Willberg 2004-03-31 06:33:34 EST
* Description of problem:
modprobe: Can't locate module binfmt_misc

# grep BINFMT_MISC /boot/config-2.4.21-4.EL
CONFIG_BINFMT_MISC=m

Module binfmt_misc is not available, even if the default Kernel's
config file suggests it was compiled as a module.

Version-Release number of selected component (if applicable):
kernel-2.4.21-4.EL
(Freshly installed RHEL 3.0 WS, no updates -yet)

I'm not sure if the module even should be there, just noticed this
when evaluating a software that requires binfmt_misc functionality.
Comment 1 Toni Willberg 2004-03-31 06:47:41 EST
kernel-2.4.21-9.0.1.EL.athlon.ron also seems to be missing binfmt_misc
Comment 2 Ernie Petrides 2004-03-31 17:42:07 EST
This problem has been fixed in RHEL 3 U2.

*** This bug has been marked as a duplicate of 107915 ***
Comment 3 Toni Willberg 2004-04-02 04:56:50 EST
Actually this is not a dup of 107915, but more like end-user problem. 

I just learned that binfmt_misc is available in the
kernel-unsupported-...rpm package. This solves my problem.

I should have digged the documentation further, perhaps it's said
there somewhere.
Comment 4 John Flanagan 2004-05-11 21:08:47 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.